> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List Environment Variables

> List all environment variables for the workspace with optional filtering



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/environment-variables
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/environment-variables:
    get:
      tags:
        - Agents Platform
      summary: List Environment Variables
      description: List all environment variables for the workspace with optional filtering
      operationId: list_environment_variables
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Pagination cursor from previous response
            title: Cursor
          description: Pagination cursor from previous response
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of items to return (1-100)
            default: 100
            title: Page Size
          description: Number of items to return (1-100)
        - name: label
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by exact label match
            title: Label
          description: Filter by exact label match
        - name: environment
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter to only return variables that have this environment. When
              specified, the values dict in the response will only contain this
              environment.
            title: Environment
          description: >-
            Filter to only return variables that have this environment. When
            specified, the values dict in the response will only contain this
            environment.
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - string
                  - secret
                  - auth_connection
                type: string
              - type: 'null'
            description: Filter by variable type
            title: Type
          description: Filter by variable type
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvironmentVariablesListResponse'
        '400':
          description: Invalid environment filter
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EnvironmentVariablesListResponse:
      properties:
        environment_variables:
          items:
            $ref: '#/components/schemas/EnvironmentVariableResponse'
          type: array
          title: Environment Variables
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        has_more:
          type: boolean
          title: Has More
      type: object
      required:
        - environment_variables
        - has_more
      title: EnvironmentVariablesListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EnvironmentVariableResponse:
      properties:
        label:
          type: string
          title: Label
        created_at_unix_secs:
          type: integer
          title: Created At Unix Secs
        updated_at_unix_secs:
          type: integer
          title: Updated At Unix Secs
        created_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Id
        type:
          type: string
          enum:
            - string
            - secret
            - auth_connection
          title: Type
        id:
          type: string
          title: Id
        workspace_id:
          type: string
          title: Workspace Id
        values:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - additionalProperties:
                $ref: '#/components/schemas/EnvironmentVariableSecretValue'
              type: object
            - additionalProperties:
                $ref: '#/components/schemas/EnvironmentVariableAuthConnectionValue'
              type: object
          title: Values
      type: object
      required:
        - label
        - created_at_unix_secs
        - updated_at_unix_secs
        - type
        - id
        - workspace_id
        - values
      title: EnvironmentVariableResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EnvironmentVariableSecretValue:
      properties:
        secret_id:
          type: string
          title: Secret Id
      type: object
      required:
        - secret_id
      title: EnvironmentVariableSecretValue
    EnvironmentVariableAuthConnectionValue:
      properties:
        auth_connection_id:
          type: string
          title: Auth Connection Id
      type: object
      required:
        - auth_connection_id
      title: EnvironmentVariableAuthConnectionValue

````